drop table bids;
drop table items;
drop table users;

create table users (
 userid 	   char(3) primary key,
 name		   varchar(20) unique,
 rating		   char(1)
);
create table items (
 itemno 	   char(4) primary key,
 description   varchar(30),
 offered_by	   char(3),
 start_date	   date,
 end_date	   date,
 reserve_price	   decimal(10)
);
create table bids (
 userid 	   char(3),
 itemno 	   char(4),
 bid		   decimal(10) not null,
 bid_date	   date
);
