{--
List the item number and description of the item(s) that received the highest bid ever recorded, and the amount of that bid.
--}

let $highbid := max(collection("bids")/bids/bid)
return
    <result>
      {
        for $item in collection("items")/items,
            $b in collection("bids")/bids[itemno = $item/itemno]
        where $b/bid = $highbid
        return
            <expensive_item>
                { $item/itemno }
                { $item/description }
                <high_bid>{ $highbid }</high_bid>
            </expensive_item>
      }
    </result>

