{--
List item numbers and average bids for items that have received three or more bids, in descending order by average bid.
--}
<result>
  {
    for $i in distinct-values(collection("bids")/bids/itemno)
    let $b := collection("bids")/bids[itemno = $i]
    where count($b) >= 3
    return
        <popular_item>
            { $i }
            <avgbid>{ avg($b/bid) }</avgbid>
        </popular_item>
    sortby(avgbid descending)
  }
</result>

