import module namespace vf = "http://www.xquark.org/XQuery/Samples/viewDefs" at "view.mod";
import schema namespace vt = "http://www.xquark.org/XQuery/Samples/viewTypes" at "view.xsd";

<result>
{
    for $seller in vf:users()[vt:name = "Tom Jones"],
        $buyer in vf:users(),
        $item in $seller//vt:item[contains(vt:description, "Bicycle")],
        $highbid in $item//vt:bid
    where $highbid/@userid = $buyer/@id 
      and $highbid/vt:value = max($item//vt:bid/vt:value)
      order by $item/@id
    return
        <jones_bike>
			<itemno>{ data($item/@id) }</itemno>
			<description>{ data($item/vt:description) }</description>
            <high_bid>{ data($highbid/vt:value) }</high_bid>
            <high_bidder>{ data($buyer/vt:name) }</high_bidder>
        </jones_bike>
}
</result>