import module namespace vf = "http://www.xquark.org/XQuery/Samples/viewDefs" at "view.mod";
import schema namespace vt = "http://www.xquark.org/XQuery/Samples/viewTypes" at "view.xsd";

<result>
  {
    for $item in vf:users()//vt:item,
    	$highbid in $item//vt:bid,
        $user in vf:users()
    where $user/@id = $highbid/@userid 
      and $highbid/vt:value = max($item//vt:bid/vt:value)
    order by $item/@id
    return
        <high_bid>
            <itemno>{ data($item/@id) }</itemno>
            <bid>{ data($highbid/vt:value) }</bid>
            <bidder>{ data($user/vt:name) }</bidder>
        </high_bid>
  }
</result>
