drop table item;
drop table po;
drop table client;
create table client (
       id int primary key,
       name varchar(80),		
       street varchar(80),
       city varchar(80),
       state varchar(80),
       zip decimal(5),
       country varchar(80)
       );

create table po (
       id int primary key,
       ship_to int,
       bill_to int,
       order_date varchar(80),
       foreign key (ship_to) references client(id),
       foreign key (bill_to) references client(id)
       );

create table item (
       po int,
       product_name varchar(80),
       quantity int,
       price decimal(20, 2),
       ship_date varchar(80),
       part_num char(6),
       foreign key (po) references po(id)
       );
