{--
Find the highest bid ever made for a bicycle or tricycle.
--}

let $allbikes := collection("items")/items[contains(description, "Bicycle") 
                     			   or contains(description, "Tricycle")]
let $bikebids := collection("bids")/bids[itemno = $allbikes/itemno]
return
    <high_bid>
      { 
        max($bikebids/bid) 
      }
    </high_bid>
